Skip to main content
PUT
/
v3
/
lists
/
{listId}
Register or edit a list
curl --request PUT \
  --url https://api.artisn.desarrollo-redbrand.com/api/v3/lists/{listId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "list": {
    "ecommerceChannelId": 123,
    "channelReferenceName": "<string>",
    "listId": "<string>",
    "listName": "<string>",
    "vendorId": "<string>",
    "storeId": "<string>",
    "channelId": "<string>",
    "schedules": [
      {
        "day": "<string>",
        "startDate": "<string>",
        "endDate": "<string>",
        "startTime": "<string>",
        "endTime": "<string>"
      }
    ]
  },
  "categories": [
    {
      "categoryId": "<string>",
      "categoryName": "<string>",
      "displayInList": true,
      "featured": true,
      "crossSellingCategory": true,
      "position": 123,
      "images": [
        {
          "imageCategoryId": "<string>",
          "fileUrl": "<string>"
        }
      ],
      "childCategories": [
        {
          "categoryId": "<string>",
          "categoryName": "<string>"
        }
      ],
      "productListing": [
        {
          "productId": "<string>",
          "position": 123
        }
      ],
      "schedules": [
        {
          "day": "<string>",
          "startDate": "<string>",
          "endDate": "<string>",
          "startTime": "<string>",
          "endTime": "<string>"
        }
      ]
    }
  ],
  "products": [
    {
      "productId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "standardTime": true,
      "featured": true,
      "priceInfo": {
        "price": 123,
        "salePrice": 123
      },
      "productModifiers": [
        {
          "modifierId": "<string>",
          "position": 123
        }
      ],
      "schedules": [
        {
          "day": "<string>",
          "startDate": "<string>",
          "endDate": "<string>",
          "startTime": "<string>",
          "endTime": "<string>"
        }
      ],
      "images": [
        {
          "imageCategoryId": "<string>",
          "fileUrl": "<string>"
        }
      ]
    }
  ],
  "modifierGroups": [
    {
      "modifierId": "<string>",
      "modifier": "<string>",
      "minOptions": 123,
      "maxOptions": 123,
      "visible": true,
      "position": 123,
      "type": "<string>",
      "modifierOptions": [
        {
          "optionId": "<string>",
          "productId": "<string>",
          "default": true,
          "position": 123
        }
      ]
    }
  ],
  "scheduledActivities": [
    {
      "productId": "<string>",
      "scheduledActiveStatus": "2023-11-07T05:31:56Z",
      "scheduledInactiveStatus": "2023-11-07T05:31:56Z"
    }
  ]
}
'
import requests

url = "https://api.artisn.desarrollo-redbrand.com/api/v3/lists/{listId}"

payload = {
"list": {
"ecommerceChannelId": 123,
"channelReferenceName": "<string>",
"listId": "<string>",
"listName": "<string>",
"vendorId": "<string>",
"storeId": "<string>",
"channelId": "<string>",
"schedules": [
{
"day": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
]
},
"categories": [
{
"categoryId": "<string>",
"categoryName": "<string>",
"displayInList": True,
"featured": True,
"crossSellingCategory": True,
"position": 123,
"images": [
{
"imageCategoryId": "<string>",
"fileUrl": "<string>"
}
],
"childCategories": [
{
"categoryId": "<string>",
"categoryName": "<string>"
}
],
"productListing": [
{
"productId": "<string>",
"position": 123
}
],
"schedules": [
{
"day": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
]
}
],
"products": [
{
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"standardTime": True,
"featured": True,
"priceInfo": {
"price": 123,
"salePrice": 123
},
"productModifiers": [
{
"modifierId": "<string>",
"position": 123
}
],
"schedules": [
{
"day": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
],
"images": [
{
"imageCategoryId": "<string>",
"fileUrl": "<string>"
}
]
}
],
"modifierGroups": [
{
"modifierId": "<string>",
"modifier": "<string>",
"minOptions": 123,
"maxOptions": 123,
"visible": True,
"position": 123,
"type": "<string>",
"modifierOptions": [
{
"optionId": "<string>",
"productId": "<string>",
"default": True,
"position": 123
}
]
}
],
"scheduledActivities": [
{
"productId": "<string>",
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
list: {
ecommerceChannelId: 123,
channelReferenceName: '<string>',
listId: '<string>',
listName: '<string>',
vendorId: '<string>',
storeId: '<string>',
channelId: '<string>',
schedules: [
{
day: '<string>',
startDate: '<string>',
endDate: '<string>',
startTime: '<string>',
endTime: '<string>'
}
]
},
categories: [
{
categoryId: '<string>',
categoryName: '<string>',
displayInList: true,
featured: true,
crossSellingCategory: true,
position: 123,
images: [{imageCategoryId: '<string>', fileUrl: '<string>'}],
childCategories: [{categoryId: '<string>', categoryName: '<string>'}],
productListing: [{productId: '<string>', position: 123}],
schedules: [
{
day: '<string>',
startDate: '<string>',
endDate: '<string>',
startTime: '<string>',
endTime: '<string>'
}
]
}
],
products: [
{
productId: '<string>',
name: '<string>',
description: '<string>',
standardTime: true,
featured: true,
priceInfo: {price: 123, salePrice: 123},
productModifiers: [{modifierId: '<string>', position: 123}],
schedules: [
{
day: '<string>',
startDate: '<string>',
endDate: '<string>',
startTime: '<string>',
endTime: '<string>'
}
],
images: [{imageCategoryId: '<string>', fileUrl: '<string>'}]
}
],
modifierGroups: [
{
modifierId: '<string>',
modifier: '<string>',
minOptions: 123,
maxOptions: 123,
visible: true,
position: 123,
type: '<string>',
modifierOptions: [{optionId: '<string>', productId: '<string>', default: true, position: 123}]
}
],
scheduledActivities: [
{
productId: '<string>',
scheduledActiveStatus: '2023-11-07T05:31:56Z',
scheduledInactiveStatus: '2023-11-07T05:31:56Z'
}
]
})
};

fetch('https://api.artisn.desarrollo-redbrand.com/api/v3/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "listId": "<string>",
  "name": "<string>",
  "active": true
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
list
object

General information of the list to be created

categories
object[]

Permite definir las categorías de productos, así como su organización en la lista.

products
object[]

Permite definir los productos o items, así como su organización en la lista.

modifierGroups
object[]

Permite definir un listado de modificadores que se utilizarán en la lista.

scheduledActivities
object[]

Permite programar la activación e inactivación de productos en una fecha futura.

Response

Lista registrada o editada exitosamente.

listId
string
name
string
active
boolean